<ion-content class="ion-padding">
    {#each outings as outing, index}
    <ion-item button on:click={() => navigateTo('leaderboard', {id: outing._id})}>
        {outing.name}
    </ion-item>
    {/each}
    <br>
    <br>
    <OnlyIfInRole role={Role.ORGANIZER}><ion-button expand=block on:click={() => navigateTo('createOuting') }>Create Outing</ion-button></OnlyIfInRole>
</ion-content>


<script>
import {outingsByUserStore} from '/client/OutingsStore'
import {navigateTo} from 'svelte-grouter'
import {Role} from '/lib/Roles'
import OnlyIfInRole from '/client/components/OnlyIfInRole'
import {layoutStore} from '/client/LayoutStore'

$layoutStore.title = 'My Outings'
$layoutStore.showBack = false

$: outings = $outingsByUserStore.sort((a, b) => b.endDate - a.startDate)
</script>